Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.examples
Class SimResource.CM

    java.lang.Object
      ix.examples.PicoIX.ConstraintManager
          ix.examples.SimResource.CM

Enclosing class:
  SimResource

    static class SimResource.CM

extends PicoIX.ConstraintManager

A constraint manager for simple "produce" or "consume" resource constraints.

Field Summary
`(package private) java.util.Hashtable` | `resourceTable`

Fields inherited from class ix.examples.PicoIX.ConstraintManager
`system, type`

Constructor Summary
`SimResource.CM()`

Method Summary
`(package private) java.lang.Object` | `addConstraint(PicoIX.Constraint c)`
`(package private) long` | `getAmount(java.lang.Object pattern)`
`(package private) void` | `noteFailure(SimResource.Constraint rc)`
`(package private) void` | `noteSuccess(SimResource.Constraint rc)`
`(package private) void` | `printStatusReport()`
`(package private) void` | `setAmount(java.lang.Object pattern, long amount)`
`(package private) java.lang.Object` | `tryConstraint(PicoIX.Constraint c)`

Methods inherited from class ix.examples.PicoIX.ConstraintManager
`setSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceTable

    java.util.Hashtable resourceTable

Constructor Detail

### SimResource.CM

    SimResource.CM()

Method Detail

### addConstraint

    java.lang.Object addConstraint(PicoIX.Constraint c)

  Specified by:
    `addConstraint` in class `PicoIX.ConstraintManager`

### tryConstraint

    java.lang.Object tryConstraint(PicoIX.Constraint c)

  Specified by:
    `tryConstraint` in class `PicoIX.ConstraintManager`

### getAmount

    long getAmount(java.lang.Object pattern)

### setAmount

    void setAmount(java.lang.Object pattern,
                   long amount)

### noteSuccess

    void noteSuccess(SimResource.Constraint rc)

### noteFailure

    void noteFailure(SimResource.Constraint rc)

### printStatusReport

    void printStatusReport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD